Skip to navigation

List file pages

View as Markdown
This method returns a workspace file as rasterized pages.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

fileIdstringRequired
The ID of the file.
folderIdstringRequired
The ID of the folder.
workspaceIdstringRequired
The ID of the workspace.

Query parameters

countstringOptional

The maximum number of results to return.

Use start_position to specify the number of results to skip.

dpistringOptional

The number of dots per inch (DPI) for the resulting images. Valid values are 1-310 DPI. The default value is 94.

max_heightstringOptional
Sets the maximum height of the returned images in pixels.
max_widthstringOptional
Sets the maximum width of the returned images in pixels.
start_positionstringOptional

The zero-based index of the result from which to start returning results.

Use with count to limit the number of results.

The default value is 0.

Response

Successful response.
endPositionstringOptional
The last index position in the result set.
nextUristringOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

pageslist of objectsOptional
An array of page objects.
previousUristringOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

resultSetSizestringOptional

The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.

startPositionstringOptional
The starting index position of the current result set.
totalSetSizestringOptional

The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

Errors

400
Bad Request Error